@charset "UTF-8";
/*-------------------------GENERAL------------------ */

@-ms-viewport {
    width: device-width;
}

@viewport {
    width: device-width;
}

:root {
    --green1: #48ff7c;
    /* Pantone 13-0340 Tn Green Gecko  */
    --black: rgb(16, 24, 32);
    --black2: rgb(16, 24, 36);
    /* //Pantone Black 6 C */
    --white: #edf2f5;
    /* //pantone 115-1 C */
    --purple1: #b24799;
    --purple2: #af1685;
}

@font-face {
    font-family: 'Analogue Reduced';
    src: url('../font/AnalogueReduced-Black.woff2') format('woff2'),
        url('../font/AnalogueReduced-Black.woff') format('woff');

    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Stadt';
    src: url('../font/Stadt-Regular.woff2') format('woff2'),
        url('../font/Stadt-Regular.woff') format('woff');
    font-weight: bold;
    font-display: swap;
}





*,
*:after,
*:before {
    -moz-box-sizing: border-box;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
}

html {
    font-size: 17px;
    scroll-behavior: smooth;
}

body {
    margin: 0 auto;
    background-color: var(--black2);
}

a,
a:visited {
    text-decoration: none;
}

a:hover {}

nav {
    position: fixed;
    width: 100%;
    z-index: 999;
}

#nav-bar {
    background-color: var(--green1);
    color: var(--black);
    align-items: center;
    margin: 0;
}

#mobile-menu {
    display: block;
    height: 3rem;
    width: 66%;
    color: var(--black);
    font-family: 'Analogue Reduced';
    font-size: 1.6rem;
    letter-spacing: 12px;
    line-height: 3.2rem;
    cursor: pointer;

}

.hamb {
    float: right;
    vertical-align: middle;
}

.mobile-flex-ON {
    display: flex;
}

.mobile-flex-Off {
    display: none
}

#nav-bar ul.nav-links {

    /* padding-right: 2vw;
    padding-bottom: 2vh; */
    color: var(--black);
    font-family: 'Analogue Reduced';
    font-size: 1.3rem;
    letter-spacing: 12px;
    list-style: none;
    cursor: pointer;
    padding: 20px 10px;
}

ul.nav-links li:hover {
    color: var(--purple1);
}

ul.nav-links li a:hover {
    color: var(--purple1);
}

nav div#nav-bar ul.nav-links li.centered-text a:hover {
    color: var(--purple1);
}

#nav-bar ul.nav-links a {
    color: var(--black);
    height: 2rem;
    display: inline-block;
}



#nav-bar ul.nav-links li {
    margin-bottom: 1.6rem;
}


.nav-links {
    /* width: 100vw; */
    padding: 1rem;

}

.link-lines {
    display: none;
}

#nav-img {
    display: inline;
    padding: 0 1.6rem;
    margin: 0 auto;
}

#nav-logo {
    display: flex;
    justify-content: space-between;
}

.dropdown {
    position: relative;
    display: inline-block;
    z-index: 45645645;

}

.dropdown-content {
    width: auto;
    font-size: 1rem;
    margin: 1rem;
    width: 100%;
}

.dropdown-content li {
    background-color: #48ff7c;
    text-align: left;

}

div .dropdown-content li a {
    color: var(--black);
}

.dropdown-content li:hover {
    background-color: var(--purple1);
    color: var(--white);
}



/* /////////////////Section Rules//////////////////// */

section {}

section article {}

section:last-of-type article:last-of-type {}

section article img {}

main {
    background-color: var(--black);
    position: relative;
    top: 6rem;
}

main article {
    color: var(--white);
}

#main-content {
    width: 100%;
}

main div h1 {
    color: #fff;
    text-align: center;
    font-family: 'Analogue Reduced';
    text-decoration: underline;
}


#splash-image {
    padding-top: 10vh;
    display: block;
    width: auto;
    height: auto;
    margin: 0 auto;
    max-width: 60%;
}

#main-content-left {
    min-height: 59vh;
    background-image: url("../images/bg-mobile.png");
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    clear: both;
    overflow: hidden;
}

#main-content-right {
    display: none;
}

main h2 {
    color: var(--white);
    display: block;
    white-space: normal;
    font-family: "stadt";
    font-size: 5vw;
    letter-spacing: .2rem;
    text-align: center;
}

main h3 {
    background-color: var(--purple1);
    color: var(--white);
    display: block;
    white-space: normal;
    font-family: "stadt";
    font-size: 1.3rem;
    letter-spacing: .2rem;
    text-align: center;
}


main article h2 {
    background-color: var(--white);
    color: var(--black);
}

main article span {
    padding: 2rem;
    padding-bottom: 2rem;
}

#mission-statement {
    background-color: var(--white);
    font-size: 1.6rem;
    text-align: center;
    color: var(--black);
    clear: both;
}

#divider {
    background-color: var(--green1);
    height: 8vw;
    width: 75vw;
    margin: 0 auto;
}


.full-width {
    margin: auto 5px;
    padding-bottom: .5rem;
    clear: both;
    background-color: var(--black);
}

.full-width:last-child {
    padding-bottom: 2rem;
}


section article header {}

section article header h1 {}

section article header h2 {}

/* Misc Article Elements */

section article p,
section article ul,
section article ol,
section article dl,
section article aside,
section article blockquote {
    margin: 1.5em;
    
}

section article aside {

    word-wrap: break-word;
}

section article ul {
    list-style-type: disc;
    margin-left: 7%;
}

section article ol {
    list-style-type: decimal;
    margin-left: 7%;
}

section article dl {
    font-weight: 300;
}

section article dl dt {
    font-weight: 400;
    font-style: italic;
}

section article dd {
    margin-left: 1.5em;
}

section article blockquote {
    margin: 2em;
    font-style: italic;
}
section article div p{
    font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
}
section article pre {}

/* Contact form */
.feedback-input {
    color:white;
    font-family: Helvetica, Arial, sans-serif;
    font-weight:500;
    font-size: 18px;
    border-radius: 5px;
    line-height: 22px;
    background-color: transparent;
    border:2px solid var(--green1);
    transition: all 0.3s;
    padding: 13px;
    margin-bottom: 15px;
    width:100%;
    box-sizing: border-box;
    outline:0;
  }
  
  .feedback-input:focus { border:2px solid var(--white); }
  
  textarea {
    height: 150px;
    line-height: 150%;
    resize:vertical;
  }
  
  [type="submit"] {
    font-family:'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
    width: 100%;
    background:var(--green1);
    border-radius:5px;
    border:0;
    cursor:pointer;
    color:var(--black);
    font-size:24px;
    padding-top:10px;
    padding-bottom:10px;
    transition: all 0.3s;
    margin-top:-4px;
    font-weight:700;
  }
  [type="submit"]:hover { background:var(--purple1); color: var(--white);}



.grid {
 display: block;
  
  /* max-width: 1200px; */

}
  .grid-sizer,
  .grid-item { 
    width: calc((88vw / 3) - 5px); 
    margin-bottom: 5px;
    position:relative;
    top:0px;
    
}

.grid-item > img{
    border-radius: 2px;
}
/* 
.grid-item:hover{
   
    position:relative;
   
    top: -50px;
    width: 50%;
    z-index: 100;
} */

.info{
    position:relative;
    display: block;
    margin-bottom: 5px;
    padding: 15px;
    width: 100%;
    background-color: #48ff7c;
    color: var(--black2);
    border-radius: 0 0 15px 15px;
}
  /* 2 columns */
  .grid-item--width2 {
    width: calc(50%); 
    
}

.grid:after {
    content: '';
    display: block;
    clear: both;
  }

/* Image Gallery rules */
div.gallery {
    display: flex;
    flex-wrap: wrap;
    align-content: center;
    justify-content: flex-start;
    transition: .05s;
    margin-bottom: 2rem;
}

div.portfolio-item {

    display: flex;
    width: 100%;
    max-width: 300px;
    margin: 0 auto;
}

div.portfolio-item span {
    font-family: 'Gill Sans', 'Gill Sans MT', sans-serif;
    display: none;
    position: absolute;
    background-color: var(--green1);
    opacity: 100;

    color: var(--black);
    width: 100%;
    height: 100px;
    max-width: 300px;
    transition: opacity .3s;
}

div.portfolio-item:hover span {
    display: inline-block;
    opacity: 92%;
}



/* /////////////////Footer//////////////////// */

footer {
    position: fixed;
    left: 0;
    bottom: -3.4rem;

    display: flex;
    color: #fff;
    font-family: 'Analogue Reduced';
    background-color: var(--green1);
    margin: 1rem auto 0 auto;
    padding: 0 30%;
    width: 100%;
    overflow: hidden;
    height: 5rem;
    transition: .5s ease;
}

footer:hover {
    bottom: 0;
}

footer ul {
    width: 100%;
    display: flex;
    justify-content: space-between;
    list-style: none;
    padding-left: 0px;
    margin: 0;
}

footer li {}

footer a {
    color: #fff;
    text-decoration: none;
}

footer a:hover {}

footer article {}

footer article header h1 {}

/*  /////////////////////////MISC STUFF//////////////////////////////  */

div.zoomed{
    background-color: var(--black);
    height: auto;
    max-height: 60vh;
    width: 100vw;
}
.zoomed-text{
    padding: 20% 50px;
    width: 100%;
}
.menuOn {
    display: block;
}

.menuOff {
    display: none;
}

.greeting-text {
    white-space: normal;
    font-family: "stadt";
    font-size: 24vw;
    letter-spacing: .2vw;
    /* padding-top: 2rem; */

}

.blk-logo {
    background-color: var(--white);
    display: block;
    max-width: 302px;
    max-height: 199px;
    margin: 2rem auto 0 auto;

}

#bio {
    font-size: 1.2rem;
    font-family: 'Gill Sans', 'Gill Sans MT', sans-serif;
    color: var(--white);
}

#bio>a {
    background-color: var(--green1);
    color: var(--black);
    size: 1.2rem;
}

#bio>.emph {
    color: var(--purple1);
    display: inline;
    padding: 0;
}

.self-img {
    margin: 0 auto;
}

.webdev-portfolio-item{
    display: inline-block;
    height: 100%;
    
}
.portfolio-site-link{
    background-color: var(--green1);
    margin: 0 auto;
    padding: 1rem;
    text-align: center;
    color: white;
    width: 230px; 
    font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
    display: inline-block;
    
}
.portfolio-site-link::after{
content: “\A”;
white-space: pre;

}


#descr ul,
span {
    padding: 0;
    display: flex;
    align-content: space-around;
    font-family: 'Gill Sans', 'Gill Sans MT', sans-serif;
}



#descr li {
    flex-direction: row;
    align-items: center;
    align-self: center;
    height: 1.6rem;
    margin: 1vw;
    display: inline-block;
    list-style: none;
    background-color: var(--green1);
    color: var(--black);
    flex: auto;
    text-align: center;
}

.modal-content {
    z-index: -1000; /* behind everything */
    opacity: 0; /* invisible */
    position: fixed;
    top: 0;
    left: 0;
    background: rgba(0, 0, 0, 0.8); /* black, transparent */
    width: 100vw; /* 100% width */
    height: 100vh; /* 100% height */
    display: flex;
    justify-content: center;
        align-items: center; /* vertical align */
    transition: 0.5s; /* animate */
    cursor: zoom-out;
  }
/* /////////////////Media Queries//////////////////// */

@media screen and (min-width: 300px) {
    .zoomed-text{
        
        padding: 0px;
        font-size: 16px;
        width: 100%;
        margin: 16px auto;
    }
    article.full-width {
        padding-top: 50px;
    }
    /* footer */
    footer {}

    footer article {}
    .info{
        display: none;
    }
    img[data-modal] {
        cursor: zoom-in;
      }
    
      
      .modal-content > figure{
        margin: 0 auto;
      }
    
      .modal-content img {
        margin: 0 auto;
        width: auto;
        max-height: 50vh;
        max-width: 90vw;
        top: 10vh;
        
         
      }
    
      .modal-content img + figcaption{
        
        min-width: 100vw;
        /* text-align: center; */
        
       
        min-height: 30vh;
        
    /* text-align: center; */
    background-color: var(--black);
    padding: 2px 16px;
    font-size: 1.2rem;
    font-family: 'Gill Sans', 'Gill Sans MT', sans-serif;
    color: var(--white);
    
      }
    
    
    
    
    
    .active,
    .demo:hover {
        opacity: 1;
    }
    
    img.hover-shadow {
        transition: 0.3s;
    }
    
    .hover-shadow:hover {
        box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
    }
    
    
    
  

}

@media screen and (min-width: 600px) {
    #nav-bar ul.nav-links li {
        margin-bottom: 1.6rem;
    }

    #nav-bar ul.nav-links li {
        padding-bottom: 0;
        margin-bottom: 0;
    }

    /* articles */
    section article {
        margin: 0 auto;
        overflow: hidden;
        word-wrap: break-word;
    }

    section article aside {
        float: right;
        margin-left: 1.5em;
        width: 40%;
    }

    section article div p {
        clear: both;
        display: inline-block;
       
        width: 40%;
    
    font-family: 'Gill Sans', 'Gill Sans MT', sans-serif;
    }

    #main-content {
        height: 100%;
    }

    .blk-logo {
        float: left;
        width: 40%;
        
        margin: 2rem;
    }

    main article span {
        padding: 1.6rem;
        color: var(--white);
    }

    #mission-statement {
        margin-left: 1.6rem;
        margin-right: 1.6rem;
        margin-bottom: 1.6rem;
    }

    .bio {
        margin: 0;
    }

    div.portfolio-item {
        width: 33%;
        height: auto;
    }

    div.portfolio-item span {
        width: 33%;
        max-width: 298px;
    }

    .webdev-left{
        float: left;
        display: block;
        width: 50%;
        height: auto;
    }
    
}
.webdev-right{
    float: right;
    display: block;
    width: 50%;
    height: auto;
}



@media screen and (min-width: 800px) {
    #nav-bar {
        display: flex;
        justify-content: space-between;
        padding: 20px 10px;
        transition: padding .5s;
        position: fixed;
        width: 100%;
        top: 0;
        z-index: 1;
    }

    #nav-bar li {}

    #mobile-menu {
        display: none;
    }



    #nav-img {
        display: block;
        margin: 0 auto;
    }


    #nav-bar ul.nav-links {
        display: flex;
        width: auto;
        padding: 0 1rem;

    }

    .link-lines {
        display: flex;
    }

    .dropdown-content {
        left: -1rem;
        width: 21.5rem;
        position: absolute;
    }

    .dropdown-content li {
        padding: .5rem 1rem .5rem 1rem;
        border-top: 1.5px solid black;
        border-left: 1.5px solid black;
        border-right: 1.5px solid black;
    }

    .dropdown-content li:hover {
        background-color: var(--purple1);
        color: var(--white);
    }

    div .dropdown-content li:hover a {
        color: var(--white);
    }


    main {
        max-width: 89vw;
        width: 100%;
        margin: 60px auto 0 auto;
        align-items: stretch;
        justify-content: space-around;
    }

    #main-content-left {
       
        width: 50%;
        min-height: 27.5vw;
        background-position: center;
        background-repeat: no-repeat;
        background-size: cover;
        float: left;
        background-color: var(--black);
        background-image: none;
    }

    #main-content-right {
        display: inline-block;
        width: 49%;
        height: 36.7rem;
        background-image: url("../images/bg-full.png");
        background-position: center;
        background-repeat: no-repeat;
        background-size: cover;
    }

    .modal-content img {
        position: absolute;
        right: 50vw;
        
        
        max-width: 50vw;
         /* at least 50% of the viewport width */
        max-height: 90%;
         height: auto;
         
      }
    
      .modal-content img + figcaption{
        
        min-width: 50vw;
        max-width: 50vw;
        /* text-align: center; */
        position: absolute;
        left: 50vw;
        top: 10vh;
        height: 40vh;
        
    /* text-align: center; */
   
    
      }


    .greeting-text {
        display: block;
        font-size: 7vw;
        letter-spacing: .5rem;
        padding-top: 5rem;
    }

    main h2 {
        font-size: 2.6rem;
    }


    #divider {
        background-color: var(--green1);
        height: 7%;
        width: 100%;
        margin: 0 auto;
    }

    footer {
        clear: both;

    }




}


#fader {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 998;
    pointer-events: none;
    background: var(--black);
    animation-duration: 200ms;
    animation-timing-function: ease-in-out;
}

@keyframes fade-out {
    from {
        opacity: 1
    }

    to {
        opacity: 0
    }
}

@keyframes fade-in {
    from {
        opacity: 0
    }

    to {
        opacity: 1
    }
}

#fader.fade-out {
    opacity: 0;
    animation-name: fade-out;
}

#fader.fade-in {
    opacity: 1;
    animation-name: fade-in;

}







  





.active,
.demo:hover {
    opacity: 1;
}

img.hover-shadow {
    transition: 0.3s;
}

.hover-shadow:hover {
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
}


